# Package net.axay.kspigot.languageextensions.kotlinextensions

## Functions

closeIfInitialized
Link copied to clipboard
fun Lazy<AutoCloseable>.closeIfInitialized(): Unit?
Content copied to clipboard
createIfNotExists
Link copied to clipboard
fun File.createIfNotExists(): Boolean
Content copied to clipboard
ifInitialized
Link copied to clipboard
inline fun <T, R> Lazy<T>.ifInitialized(block: (T) -> R): R?
Content copied to clipboard

## Properties

valueIfInitialized
Link copied to clipboard
val <T> Lazy<T>.valueIfInitialized: T?
Content copied to clipboard